package micro

import "context"

type (
	Request struct {
		ServiceName string
		Method      string
		Body        interface{}
		client      *Client
	}
)

func (r *Request) Do(ctx context.Context) (Response, error) {
	return r.client.Do(ctx, r)
}
